Subject: bug#15073: 23.4; does not byte-compile several packages with `Eager macro-expansion failure: (wrong-type-argument sequencep 769)' (due to lexical binding?)

From: Gregor Zattler <[email-masked]>
Date: Wed, 14 Aug 2013 23:17:41 +0200

Hi Glenn,
* Glenn Morris <[email-masked]> [12. Aug. 2013]:
> Gregor Zattler wrote:
> 
>> Sorry, I have no clue: Is this a bug to be fixed in emacs or are
>> these bugs to be fixed in those packages?
> 
> What do you mean by "packages"?
> Do you mean some Debian packages other than apel; if so, which?
> Or do you just mean "there are multiple files in the apel package which
> all fail to compile"?

Yes, I saw multiple files failing and misunderstood that as
several packages.

> The latter problem is an apel bug, which has been fixed, as I said.
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718738

I see, sorry I only checked the Emacs bug tracker for similar
problems.

Ciao; Gregor